//-----------------------------------------------------------------------------
// MEKA - inputs_t.h
// Inputs Tools - Headers
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Data
//-----------------------------------------------------------------------------

// FIXME: rename/clean/remove/...
#define NUM_ALPHA_KEYS  (26)
int     Key_Alpha_Table [NUM_ALPHA_KEYS];
char    Alpha_Table [NUM_ALPHA_KEYS];

//-----------------------------------------------------------------------------
// Functions
//-----------------------------------------------------------------------------

void    Inputs_Key_Eat (int keycode);
int     Inputs_KeyPressed (int keycode, int eat);
int     Inputs_KeyPressed_Repeat (int keycode, int eat, int delay, int rate);

//-----------------------------------------------------------------------------
